/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.registry.control {

import com.adobe.cairngorm.control.CairngormEventDispatcher;
import com.adobe.cairngorm.control.FrontController;

import org.ow2.easybeans.console.registry.command.GetRegistryInfoCommand;
import org.ow2.easybeans.console.registry.event.GetRegistryInfoEvent;

/**
 * Controller that is managing all events
 * @author Florent Benoit
 */
public class RegistryController extends FrontController {

    /**
     * Default constructor
     */
    public function RegistryController(dispatcher:CairngormEventDispatcher) {
        super(dispatcher);
    }

    /**
     * Init all commands by adding events to the front controller.
     */
    public function initialiseCommands():void {
        addCommand(GetRegistryInfoEvent.EVENT_GET_REGISTRYINFO, GetRegistryInfoCommand);
    }

    public function removeCommands():void {
        removeCommand(GetRegistryInfoEvent.EVENT_GET_REGISTRYINFO);
    }
}
}
