/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.registry.model {

import com.adobe.cairngorm.model.IModelLocator;

import mx.collections.ArrayCollection;

import org.ow2.easybeans.console.registry.business.MyDelegate;

import org.ow2.easybeans.console.registry.locale.LocaleObject;

/**
 * Defines the model used in Registry.
 * @author Florent Benoit
 */
[Bindable]
public class RegistryModelLocator implements IModelLocator {

    /**
     * Object managing locales.
     */
    private var localeObject:LocaleObject;

    public var delegate:MyDelegate = null;

    /**
     * Data for each protocol.
     */
    [ArrayElementType(RegistryProtocolVO)]
    public var registryInfo:ArrayCollection;

    /**
     * Constructor shouldn't be public but AS3 doesn't allow this.
     */
    public function RegistryModelLocator() {
        super();
        this.localeObject = new LocaleObject();
    }


    /**
     * @return the Delegate object.
     */
    public function getDelegate():MyDelegate {
        if (delegate == null) {
            delegate = new MyDelegate();
        }
        return delegate;
    }


    public function get locale():LocaleObject {
        return localeObject;
    }

    public function set locale(localeObject:LocaleObject):void {
        this.localeObject = localeObject;
    }

}

}
